"use strict";
const common_vendor = require("../../common/vendor.js");
const gen_Enums = require("../../gen/Enums.js");
const common_libraries_userUserLogin = require("../../common/libraries/userUserLogin.js");
const INDEX_bill_order_model = require("./model.js");
const INDEX_bill_order_method = require("./method.js");
require("../../common/libraries/request.js");
require("../../common/store/useWeAppAuthStore.js");
require("../../gen/Apis.js");
require("../../common/store/useWorkStore.js");
require("../../common/libraries/setTabBar.js");
require("../../common/libraries/apiLoading.js");
require("../../common/libraries/naviHelper.js");
if (!Array) {
  const _easycom_uni_icons2 = common_vendor.resolveComponent("uni-icons");
  const _easycom_hs_enum_tag2 = common_vendor.resolveComponent("hs-enum-tag");
  const _easycom_hs_footer2 = common_vendor.resolveComponent("hs-footer");
  (_easycom_uni_icons2 + _easycom_hs_enum_tag2 + _easycom_hs_footer2)();
}
const _easycom_uni_icons = () => "../../uni_modules/uni-icons/components/uni-icons/uni-icons.js";
const _easycom_hs_enum_tag = () => "../../components/hs-enum-tag/hs-enum-tag.js";
const _easycom_hs_footer = () => "../../components/hs-footer/hs-footer.js";
if (!Math) {
  (_easycom_uni_icons + _easycom_hs_enum_tag + _easycom_hs_footer)();
}
const _sfc_main = /* @__PURE__ */ common_vendor.defineComponent({
  __name: "index",
  setup(__props) {
    common_vendor.onLoad(async (e) => {
      var _a, _b, _c;
      await ((_a = common_vendor.getCurrentInstance()) == null ? void 0 : _a.appContext.config.globalProperties.$onLaunched);
      console.log("onLoad", e);
      if ((_b = common_libraries_userUserLogin.getUserLogin) == null ? void 0 : _b.getLoginStatus()) {
        INDEX_bill_order_model.useModel.formData.value = {
          asset_houses_id: e == null ? void 0 : e.house_id,
          bill_ids: JSON.parse(e == null ? void 0 : e.bill_ids)
        };
        (_c = INDEX_bill_order_method.method) == null ? void 0 : _c.getList();
      }
    });
    return (_ctx, _cache) => {
      var _a, _b, _c;
      return {
        a: common_vendor.f((_b = (_a = common_vendor.unref(INDEX_bill_order_model.useModel)) == null ? void 0 : _a.listData) == null ? void 0 : _b.value, (i, index, i0) => {
          return {
            a: common_vendor.t(i == null ? void 0 : i.house_name),
            b: common_vendor.f(i == null ? void 0 : i.bills, (t, idx, i1) => {
              return common_vendor.e({
                a: common_vendor.t(t == null ? void 0 : t.month_name),
                b: common_vendor.t(t == null ? void 0 : t.amount),
                c: "a5778576-0-" + i0 + "-" + i1,
                d: common_vendor.p({
                  type: (t == null ? void 0 : t.isShow) ? "down" : "right",
                  color: "#999999",
                  size: "14"
                }),
                e: common_vendor.o(($event) => t.isShow = !t.isShow, `item_${index}_${idx}`),
                f: t == null ? void 0 : t.isShow
              }, (t == null ? void 0 : t.isShow) ? {
                g: common_vendor.f(t == null ? void 0 : t.details, (k, indexs, i2) => {
                  return {
                    a: "a5778576-1-" + i0 + "-" + i1 + "-" + i2,
                    b: common_vendor.p({
                      Enums: common_vendor.unref(gen_Enums.HouseBillsTypeEnum),
                      value: k == null ? void 0 : k.type
                    }),
                    c: common_vendor.t(k == null ? void 0 : k.amount),
                    d: `item_f_${index}_${idx}_${indexs}`
                  };
                })
              } : {}, {
                h: `item_${index}_${idx}`
              });
            }),
            c: `items_${index}`
          };
        }),
        b: common_vendor.o((_c = common_vendor.unref(INDEX_bill_order_method.method)) == null ? void 0 : _c.handleSubmitOrder),
        c: common_vendor.p({
          btnParimaryName: "立即支付"
        })
      };
    };
  }
});
const MiniProgramPage = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__file", "/Users/zsq/Sources/github/2025property-pay/pay-customer/src/INDEX/bill_order/index.vue"]]);
wx.createPage(MiniProgramPage);
